Subject: Re: stgit: No patches to pop

From: Catalin Marinas <[email-masked]>
Date: Mon, 11 Dec 2006 16:11:50 +0000

"Bahadir Balban" <[email-masked]> wrote:
> I've just recently started using stgit (v0.11, git v1.4.3.4). On a
> test repository, I do:
>
> % stg applied
> first
> second
> third
>
> but when I pop I get:
>
> % stg pop
> stg pop: No patches to pop

Can you write a list of commands or script so that I can easily
reproduce this? It works OK for me.

> I also get things like:
>
> % stg pop second
> popping patch "third"... done
> Now at patch "second"

In version 0.11, the "pop" command is equivalent to "goto". I changed
this in the latest version (in the StGIT repository) so that "pop
<patch>" tries to only extract that patch from the stack by popping
all the patches to the given one and pushing them back without the one
you specified. It also supports patch ranges (i.e. patch1..patch4).

--